var thisScript = document.currentScript;

var $access_token = thisScript.getAttribute('data-access-token');
var $environment = 'sandbox';

$(document).ready(function() {

    if (!$access_token) {
        $('#montonio-area-title').text('Make sure you have a valid access token as data attribute in your HTML file.');
        $('#montonio-open-modal').remove();
        throw new Error('Make sure you have a access token as data attribute in your HTML file.')
    }

    // register opening Modal
    $(document).on('click', '#montonio-open-modal', function() {
        initMontonio();
    })

    // register window functions 
    window.montonio_complete_url = null;

    window.updateMerchantSystem = function() {
        alert('Verdict made in Montonio system. Should update the merchant store now');
        // AJAX Request to a controller that implements a GET request to /applications
    }

    window.userClosedGateway = function() {
        alert('Closing Montonio modal.')
        Montonio.removeBackdrop();
    }

    window.completedFunction = function() {
        alert('Completed flow, redirect user to checkout page')
        if (window.montonio_complete_url) {
            window.location = window.montonio_complete_url;
        }
    }

})

// This opens the Montonio Gateway
function initMontonio() {
    if (!Montonio) throw new Error('Montonio SDK not loaded.')

    Montonio.init();
    Montonio.setEnvironment($environment);
    Montonio.prepareDraftToken($access_token);
    Montonio.addBackdrop();
    Montonio.openModal();
}